This CPE summary could be partial or incomplete. Please contact us for a detailed listing.

Summary

Detail
Vendor Mahara First view 2010-11-09
Product Mahara Last view 2022-11-06
Version 1.3.1 Type Application
Update *  
Edition *  
Language *  
Sofware Edition *  
Target Software *  
Target Hardware *  
Other *  
 
CPE Product cpe:2.3:a:mahara:mahara

Activity : Overall

Related : CVE

This CPE have more than 25 Relations. If you want to see a complete summary for this CPE, please contact us.
  Date Alert Description
9.8 2022-11-06 CVE-2022-44544

Mahara 21.04 before 21.04.7, 21.10 before 21.10.5, 22.04 before 22.04.3, and 22.10 before 22.10.0 potentially allow a PDF export to trigger a remote shell if the site is running on Ubuntu and the flag -dSAFER is not set with Ghostscript.

7.5 2022-11-06 CVE-2022-42707

In Mahara 21.04 before 21.04.7, 21.10 before 21.10.5, 22.04 before 22.04.3, and 22.10 before 22.10.0, embedded images are accessible without a sufficient permission check under certain conditions.

7.5 2022-06-20 CVE-2022-33913

In Mahara 21.04 before 21.04.6, 21.10 before 21.10.4, and 22.04.2, files can sometimes be downloaded through thumb.php with no permission check.

7.5 2022-04-28 CVE-2022-29585

In Mahara before 20.10.5, 21.04.4, 21.10.2, and 22.04.0, a site using Isolated Institutions is vulnerable if more than ten groups are used. They are all shown from page 2 of the group results list (rather than only being shown for the institution that the viewer is a member of).

5.4 2022-04-28 CVE-2022-29584

Mahara before 20.10.5, 21.04.4, 21.10.2, and 22.04.0 allows stored XSS when a particular Cascading Style Sheets (CSS) class for embedly is used, and JavaScript code is constructed to perform an action.

8.8 2022-04-28 CVE-2022-28892

Mahara before 20.10.5, 21.04.4, 21.10.2, and 22.04.0 is vulnerable to Cross Site Request Forgery (CSRF) because randomly generated tokens are too easily guessable.

5.3 2022-02-10 CVE-2022-24111

In Mahara 21.04 before 21.04.3 and 21.10 before 21.10.1, portfolios created in groups that have not been shared with non-group members and portfolios created on the site and institution levels can be viewed without requiring a login if the URL to these portfolios is known.

4.3 2022-02-09 CVE-2022-24694

In Mahara 20.10 before 20.10.4, 21.04 before 21.04.3, and 21.10 before 21.10.1, the names of folders in the Files area can be seen by a person not owning the folders. (Only folder names are affected. Neither file names nor file contents are affected.)

9.8 2021-11-03 CVE-2021-40849

In Mahara before 20.04.5, 20.10.3, 21.04.2, and 21.10.0, the account associated with a web services token is vulnerable to being exploited and logged into, resulting in information disclosure (at a minimum) and often escalation of privileges.

7.8 2021-11-03 CVE-2021-40848

In Mahara before 20.04.5, 20.10.3, 21.04.2, and 21.10.0, exported CSV files could contain characters that a spreadsheet program could interpret as a command, leading to execution of a malicious string locally on a device, aka CSV injection.

7.3 2021-11-02 CVE-2021-43266

In Mahara before 20.04.5, 20.10.3, 21.04.2, and 21.10.0, exporting collections via PDF export could lead to code execution via shell metacharacters in a collection name. Additional, in Mahara before 20.10.4, 21.04.3, and 21.10.1, exporting collections via PDF export could cause code execution

5.4 2021-11-02 CVE-2021-43265

In Mahara before 20.04.5, 20.10.3, 21.04.2, and 21.10.0, certain tag syntax could be used for XSS, such as via a SCRIPT element.

3.3 2021-11-02 CVE-2021-43264

In Mahara before 20.04.5, 20.10.3, 21.04.2, and 21.10.0, adjusting the path component for the page help file allows attackers to bypass the intended access control for HTML files via directory traversal. It replaces the - character with the / character.

6.1 2020-08-07 CVE-2020-15907

In Mahara 19.04 before 19.04.6, 19.10 before 19.10.4, and 20.04 before 20.04.1, certain places could execute file or folder names containing JavaScript.

4.3 2020-04-30 CVE-2020-9387

In Mahara 19.04 before 19.04.5 and 19.10 before 19.10.3, account details are shared in the Elasticsearch results for accounts that are not accessible when the config setting 'Isolated institutions' is turned on.

4.3 2020-03-09 CVE-2020-9386

In Mahara 18.10 before 18.10.5, 19.04 before 19.04.4, and 19.10 before 19.10.2, file metadata information is disclosed to group members in the Elasticsearch result list despite them not having access to that artefact anymore.

6.5 2020-03-09 CVE-2020-9282

In Mahara 18.10 before 18.10.5, 19.04 before 19.04.4, and 19.10 before 19.10.2, certain personal information is discoverable inspecting network responses on the 'Edit access' screen when sharing portfolios.

6.1 2019-12-17 CVE-2012-2237

Multiple cross-site scripting (XSS) vulnerabilities in Mahara 1.4.x before 1.4.3 and 1.5.x before 1.5.2 allow remote attackers to inject arbitrary web script or HTML via vectors related to (1) javascript innerHTML as used when generating login forms, (2) links or (3) resources URLs, and (4) the Display name in a user profile.

6.1 2019-11-07 CVE-2013-1426

Cross-site Scripting (XSS) in Mahara before 1.5.9 and 1.6.x before 1.6.4 allows remote attackers to inject arbitrary web script or HTML via the TinyMCE editor.

5.4 2019-05-07 CVE-2019-9709

An issue was discovered in Mahara 17.10 before 17.10.8, 18.04 before 18.04.4, and 18.10 before 18.10.1. The collection title is vulnerable to Cross Site Scripting (XSS) due to not escaping it when viewing the collection's SmartEvidence overview page (if that feature is turned on). This can be exploited by any logged-in user.

4.9 2019-05-07 CVE-2019-9708

An issue was discovered in Mahara 17.10 before 17.10.8, 18.04 before 18.04.4, and 18.10 before 18.10.1. A site administrator can suspend the system user (root), causing all users to be locked out from the system.

7.5 2018-06-01 CVE-2018-11196

Mahara 17.04 before 17.04.8 and 17.10 before 17.10.5 and 18.04 before 18.04.1 can be used as medium to transmit viruses by placing infected files into a Leap2A archive and uploading that to Mahara. In contrast to other ZIP files that are uploaded, ClamAV (when activated) does not check Leap2A archives for viruses, allowing malicious files to be available for download. While files cannot be executed on Mahara itself, Mahara can be used to transfer such files to user computers.

6.8 2018-06-01 CVE-2018-11195

Mahara 17.04 before 17.04.8 and 17.10 before 17.10.5 and 18.04 before 18.04.1 are vulnerable to the browser "back and refresh" attack. This allows malicious users with physical access to the web browser of a Mahara user, after they have logged in, to potentially gain access to their Mahara credentials.

5.3 2018-05-30 CVE-2018-11565

Mahara 17.04 before 17.04.8 and 17.10 before 17.10.5 and 18.04 before 18.04.1 are vulnerable to mentioning the usernames that are already taken by people registered in the system rather than masking that information.

6.1 2018-04-09 CVE-2018-6182

Mahara 16.10 before 16.10.9 and 17.04 before 17.04.7 and 17.10 before 17.10.4 are vulnerable to bad input when TinyMCE is bypassed by POST packages. Therefore, Mahara should not rely on TinyMCE's code stripping alone but also clean input on the server / PHP side as one can create own packets of POST data containing bad content with which to hit the server.

CWE : Common Weakness Enumeration

%idName
29% (13) CWE-79 Failure to Preserve Web Page Structure ('Cross-site Scripting')
13% (6) CWE-264 Permissions, Privileges, and Access Controls
13% (6) CWE-200 Information Exposure
9% (4) CWE-352 Cross-Site Request Forgery (CSRF)
4% (2) CWE-16 Configuration
2% (1) CWE-640 Weak Password Recovery Mechanism for Forgotten Password
2% (1) CWE-613 Insufficient Session Expiration
2% (1) CWE-611 Information Leak Through XML External Entity File Disclosure
2% (1) CWE-552 Files or Directories Accessible to External Parties
2% (1) CWE-434 Unrestricted Upload of File with Dangerous Type
2% (1) CWE-306 Missing Authentication for Critical Function
2% (1) CWE-295 Certificate Issues
2% (1) CWE-287 Improper Authentication
2% (1) CWE-284 Access Control (Authorization) Issues
2% (1) CWE-276 Incorrect Default Permissions
2% (1) CWE-78 Improper Sanitization of Special Elements used in an OS Command ('O...
2% (1) CWE-22 Improper Limitation of a Pathname to a Restricted Directory ('Path ...
2% (1) CWE-20 Improper Input Validation

Open Source Vulnerability Database (OSVDB)

id Description
77207 Mahara MNet XMLRPC Jump Remote Privilege Escalation
76920 Mahara Reply to Message Functionality replyto Parameter Remote Private Messag...
76919 Mahara admin/users/addtoinstitution.php User Institution Manipulation CSRF
76918 Mahara Overly Large Image Handling Remote DoS
76917 Mahara External Feed Block Unspecified XSS
73458 Mahara wwwroot https URL Parsing Credential Disclosure
73457 Mahara HTML Email Message XSS
73456 Mahara Multiple Script AJAX Call Parsing Information Disclosure
73455 Mahara Admin User Addition CSRF
73454 Mahara Multiple Script Access Restriction Bypass
72155 Mahara Pieform Select Box XSS
72154 Mahara Blog Post Deletion CSRF
69111 Mahara blocktype/groupviews/theme/raw/groupviews.tpl Unspecified Parameter XSS

OpenVAS Exploits

id Description
2013-09-18 Name : Debian Security Advisory DSA 2591-1 (mahara - several vulnerabilities)
File : nvt/deb_2591_1.nasl
2012-09-15 Name : Debian Security Advisory DSA 2540-1 (mahara)
File : nvt/deb_2540_1.nasl
2012-05-31 Name : Debian Security Advisory DSA 2467-1 (mahara)
File : nvt/deb_2467_1.nasl
2012-02-11 Name : Debian Security Advisory DSA 2334-1 (mahara)
File : nvt/deb_2334_1.nasl
2011-08-03 Name : Debian Security Advisory DSA 2246-1 (mahara)
File : nvt/deb_2246_1.nasl
2011-05-23 Name : Mahara Multiple Remote Vulnerabilities
File : nvt/gb_mahara_mult_vuln.nasl
2011-05-12 Name : Debian Security Advisory DSA 2206-1 (mahara)
File : nvt/deb_2206_1.nasl
2011-04-01 Name : Mahara Cross Site Scripting and Cross Site Request Forgery Vulnerabilities
File : nvt/secpod_mahara_xss_n_csrf_vuln.nasl
2010-11-09 Name : Mahara 'groupviews.tpl' Cross Site Scripting Vulnerability
File : nvt/gb_mahara_44705.nasl

Nessus® Vulnerability Scanner

id Description
2012-12-28 Name: The remote Debian host is missing a security-related update.
File: debian_DSA-2591.nasl - Type: ACT_GATHER_INFO
2012-09-10 Name: The remote Debian host is missing a security-related update.
File: debian_DSA-2540.nasl - Type: ACT_GATHER_INFO
2012-05-10 Name: The remote Debian host is missing a security-related update.
File: debian_DSA-2467.nasl - Type: ACT_GATHER_INFO
2011-11-07 Name: The remote Debian host is missing a security-related update.
File: debian_DSA-2334.nasl - Type: ACT_GATHER_INFO
2011-06-10 Name: The remote Debian host is missing a security-related update.
File: debian_DSA-2246.nasl - Type: ACT_GATHER_INFO
2011-03-30 Name: The remote Debian host is missing a security-related update.
File: debian_DSA-2206.nasl - Type: ACT_GATHER_INFO